Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.tasks
Class Task

    java.lang.Object
      portlets.compoze.groupware.AbstractItem
          portlets.compoze.groupware.tasks.Task

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ExchangeTask

public class Task
extends AbstractItem
implements java.io.Serializable

This class represents a task.

See Also:
  Serialized Form

Constructor Summary
`Task()` Constructor.
`Task(java.lang.String sID)` Constructor.

Method Summary
`java.lang.String` | `getDescriptionHtml()` Gets the description of the task in HTML format.
`java.util.Date` | `getDueDate()` Gets the due date.
`java.lang.String` | `getDueDateString(java.util.Locale locale, java.util.TimeZone timeZone)` Gets the due date localized string.
`java.util.Date` | `getStartDate()` Gets the start date.
`java.lang.String` | `getStartDateString(java.util.Locale locale, java.util.TimeZone timeZone)` Gets the start date localized string.
`TaskStatus` | `getTaskStatus()` Gets the task status.
`boolean` | `isComplete()` Checks if the task is complete.
`boolean` | `isOverdue(java.util.Locale locale, java.util.TimeZone timeZone)` Checks if the task is overdue.
`boolean` | `isRepeating()` Checks if the task is repeating.
`void` | `setComplete(boolean bFlag)` Sets the complete flag.
`void` | `setDueDate(java.util.Date dueDate)` Sets the due date.
`void` | `setRepeating(boolean bFlag)` Sets the task repeating flag.
`void` | `setStartDate(java.util.Date startDate)` Sets the start date.
`void` | `setTaskStatus(TaskStatus status)` Sets the task status.

Methods inherited from class portlets.compoze.groupware.AbstractItem
`getAttachmentCount, getAttachmentInfoArray, getBodyHtml, getBodyText, getBodyTextAsHtml, getDateCreated, getID, getImportance, getIndex, getItemType, getSize, getSizeInKilobytes, getSubject, getSubject, hasAttachment, prettyTruncate, setAttachmentCount, setAttachmentInfoArray, setBodyHtml, setBodyText, setDateCreated, setHasAttachment, setID, setImportance, setIndex, setItemType, setSize, setSubject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Task

    public Task()

  Constructor.

### Task

    public Task(java.lang.String sID)

  Constructor.

Parameters:
  `sID` - the task ID

Method Detail

### isOverdue

    public boolean isOverdue(java.util.Locale locale,
                             java.util.TimeZone timeZone)

  Checks if the task is overdue.

  Parameters:
    `locale` - the locale (may not be `null`)
    `timeZone` - the time zone (may not be `null`)
  Returns:
    `true` if the task is overdue; `false` otherwise

### getTaskStatus

    public TaskStatus getTaskStatus()

  Gets the task status.

  Returns:
    the task status

### setTaskStatus

    public void setTaskStatus(TaskStatus status)

  Sets the task status.

  Parameters:
    `status` - the task status (may not be `null`)

### getStartDate

    public java.util.Date getStartDate()

  Gets the start date.

  Returns:
    the start date or `null` if not set

### getStartDateString

    public java.lang.String getStartDateString(java.util.Locale locale,
                                               java.util.TimeZone timeZone)

  Gets the start date localized string.

  Parameters:
    `locale` - the locale (may not be `null`)
    `timeZone` - the time zone (may not be `null`)
  Returns:
    the start date localized string or an empty string if not set

### setStartDate

    public void setStartDate(java.util.Date startDate)

  Sets the start date.

  Parameters:
    `startDate` - the start date or `null` to not set

### setDueDate

    public void setDueDate(java.util.Date dueDate)

  Sets the due date.

  Parameters:
    `dueDate` - the due date or `null` to not set

### getDueDateString

    public java.lang.String getDueDateString(java.util.Locale locale,
                                             java.util.TimeZone timeZone)

  Gets the due date localized string.

  Parameters:
    `locale` - the locale (may not be `null`)
    `timeZone` - the time zone (may not be `null`)
  Returns:
    the due date localized string or an empty string if not set

### getDueDate

    public java.util.Date getDueDate()

  Gets the due date.

  Returns:
    the due date or `null` if not set

### isRepeating

    public boolean isRepeating()

  Checks if the task is repeating.

  Returns:
    `true` if the task is repeating; `false` otherwise

### setRepeating

    public void setRepeating(boolean bFlag)

  Sets the task repeating flag.

  Parameters:
    `bFlag` - `true` if the task is repeating; `false` otherwise

### isComplete

    public boolean isComplete()

  Checks if the task is complete.

  Returns:
    `true` if the task is complete; `false` otherwise

### setComplete

    public void setComplete(boolean bFlag)

  Sets the complete flag.

  Parameters:
    `bFlag` - `true` if the task is complete; `false` otherwise

### getDescriptionHtml

    public java.lang.String getDescriptionHtml()

  Gets the description of the task in HTML format.

  Returns:
    the description text in HTML format

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.